Page MenuHomePhabricator

AWB should allow use of full edit summary character limit
Open, Needs TriagePublic

Description

AutoWikiBrowser's edit summary can contain maximum 155 characters. This is much less than what the software is capable of. Currently, the maximum is 500 characters, which means we are missing 345 characters. There are cases when I need more that 155, therefore e.g. I cannot link a discussion. It should be fixed.

155 characters for the easier testing. Paste them and try it.
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

Event Timeline

Bencemac created this task.Jul 11 2018, 5:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2018, 5:05 PM
Reedy added a subscriber: Reedy.Jul 11 2018, 7:20 PM

Currently, the maximum is 500 characters, which means we are missing 445 characters

500 - 155 = 345

500 UTF-8 Characters too, at that.

Unfortunately, we have a bit of a problem. MW doesn't expose how long the edit summary is. On older versions (older than 1.25 I guess), it's only 255 chars in the database, now it's 767, hard limited to 500

As only MW 1.27 is supported upstream, it wouldn't be unreasonable to increase that limit to > 500. It may cause problems for Wikia... but then they're using a version of MediaWiki that's effectively a fork at this point.

Some other features are known broken over there, and won't be fixed, as it's requiring old code

Bencemac updated the task description. (Show Details)Jul 11 2018, 7:30 PM

@Reedy My bad, I fixed the number. Would not be possible that we increase the limit only if a Wikipedia is chosen? Or are there any other options?

Forking the behavior based on selected site would be a maintenance nightmare (definitely in the long run, and probably so even in the near-term). If for some reason you actually did want to go that route, though, you'd want to set it up so Wikia was the exception, not WMF wikis (since there are many non-WMF wikis which use sanely recent versions of MediaWiki, and they are far more likely to have active, AWB-using communities than are significantly out-of-date installations{{citation needed}}).

Reedy renamed this task from [AWB] Edit summary supports less character than it should to Edit summary supports less character than it should .Jul 11 2018, 10:38 PM
Headbomb moved this task from Backlog to Bugs on the AutoWikiBrowser board.Aug 19 2018, 12:04 AM
Headbomb moved this task from Bugs to Backlog on the AutoWikiBrowser board.

Forking the behavior based on selected site would be a maintenance nightmare (definitely in the long run, and probably so even in the near-term).

I don't see any need for a fork. Just include an option to "enable long summaries (check that your site supports this)" ... with long summaries disabled by default.

If users enable long summaries on sites which don't support it, then I presume that the summaries will simply be truncated.

This would be a v useful fix which would allow much more informative summaries on en.wp. I don't see any needs for en.wp to be held back by a few smaller projects

Krinkle renamed this task from Edit summary supports less character than it should to AWB should allow use of full edit summary character limit.Feb 9 2019, 6:58 PM

Fandom is so far behind the times, I don't even see why there are efforts to even support it anymore. They clearly don't care about any upkeep. Just making money. Everybody over there should just move to Miraheze which is also a Wikifarm, and also free, but also free of ads, and community maintained.